Bug Hunting Session
Bug 117068 - CRASH if error dialog is closed after the form dialog
Summary: CRASH if error dialog is closed after the form dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-17 17:07 UTC by Xisco Faulí
Modified: 2018-12-21 18:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb backtrace (29.01 KB, text/x-log)
2018-04-17 17:07 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-04-17 17:07:17 UTC
Created attachment 141429 [details]
gdb backtrace

After https://cgit.freedesktop.org/libreoffice/core/commit/?id=a29d97e6ddab8ec002ba9827bd5fc874117712e0, there's a error prompted when the form is open.
If we close the form dialog and then the error dialog, LibreOffice Crashes.

Steps to reproduce:
1. Open attachment 141410 [details] from bug 117053
2. Open the form -> Error prompted
3. Close the form dialog
4. Close the error dialog

-> Crash!

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: b36ea44dcbdb862b0ac6e6cdaf27225b43dc0c7e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2018-04-17 17:08:05 UTC
@Caolán, this one is similar to bug 116928...
Comment 2 Commit Notification 2018-04-17 22:21:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c395eeb09381a7a8b9157027e0ac7d9536943fb3

Resolves: tdf#117068 wrong parent for exception dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-04-18 10:34:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71df42a8d5ec20646045ffb419b89b19fbdf4c02

Related: tdf#117068 inform salframe that there's a modal dialog running

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2018-04-18 10:40:13 UTC
should fix it I believe
Comment 5 Xisco Faulí 2018-04-18 15:09:45 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: b07e8a7e16ba69e822a309ec280d1987f90021a3
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Caolán, thanks for fixing this!!